const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const media_ai_tags = sequelize.define(
    'media_ai_tags',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

confidence: {
        type: DataTypes.DECIMAL,
      
      

      },

source: {
        type: DataTypes.ENUM,
      
      

        values: [

"vision_api",


"custom_model",


"manual_review"

        ],

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  media_ai_tags.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity









































//end loop



    db.media_ai_tags.belongsTo(db.media_items, {
      as: 'media_item',
      foreignKey: {
        name: 'media_itemId',
      },
      constraints: false,
    });

    db.media_ai_tags.belongsTo(db.tags, {
      as: 'tag',
      foreignKey: {
        name: 'tagId',
      },
      constraints: false,
    });

    db.media_ai_tags.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.media_ai_tags.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.media_ai_tags.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return media_ai_tags;
};


